## Name

normalize — calculate the normalize product of two vectors

## Declaration

`genType normalize(` | genType v`)`;

`genDType normalize(` | genDType v`)`;

## Parameters

`v`

  Specifies the vector to normalize.

## Description

`normalize` returns a vector with the same direction as its parameter, `v`, but with length 1.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
normalize (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
normalize (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

length

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.